%define anolis_release 1
%global pypi_name embeddings
%global pypi_version 0.0.8

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        %{anolis_release}%{?dist}
Summary:        Pretrained word embeddings in Python

License:        MIT
URL:            https://github.com/vzhong/embeddings
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel pytest
BuildRequires:  python3dist(numpy)
BuildRequires:  python3dist(requests)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(sphinx)
BuildRequires:  python3dist(sphinx-rtd-theme)
BuildRequires:  python3dist(tqdm)
BuildRequires:  python3dist(nltk)

%description
Embeddings is a python package that provides pretrained word embeddings for 
natural language processing and machine learning.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(numpy)
Requires:       python3dist(requests)
Requires:       python3dist(tqdm)
Requires:       python3dist(nltk)
%description -n python3-%{pypi_name}
Embeddings is a python package that provides pretrained word embeddings for 
natural language processing and machine learning.

%prep
%autosetup -n %{pypi_name}-%{pypi_version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info
%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%check
%pyproject_check_import
# test is disabled since network connection is required

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.rst
%{python3_sitelib}/test

%changelog
* Tue Jan 23 2024 zhongling.h <zhonglingh@linux.alibaba.com> - 0.0.8-1
- Initial package.
